<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" 
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="global">

	<sql id="limit">
		<if test="offset != null">
			 limit #{offset},#{rows}
		</if>
	</sql>

	<sql id="orderby">
		<if test="sort != null and sort != ''">
			 ORDER BY ${sort}
			 <if test="order != null and order != ''">
			 	${order}
			 </if>
		</if>
	</sql>	
 </mapper>